Skip to main content
GET
/
commerce
/
catalog
/
storefront
/
discounts
/
secure
/
code
/
{code}
Error
A valid request URL is required to generate request examples
{
  "amount": 123,
  "amountType": "<string>",
  "code": "<string>",
  "condition": {
    "couponCode": "<string>",
    "customerSegmentIds": [
      123
    ],
    "excludedCategoryIds": [
      123
    ],
    "excludedProductCodes": [
      "<string>"
    ],
    "expirationDate": "2023-11-07T05:31:56Z",
    "includedCategoryIds": [
      123
    ],
    "includedProductCodes": [
      "<string>"
    ],
    "maximumOrderAmount": 123,
    "minDistinctProductsRequired": 123,
    "minimumCategorySubtotalBeforeDiscounts": 123,
    "minimumLifetimeValueAmount": 123,
    "minimumOrderAmount": 123,
    "minimumQuantityProductsRequiredInCategories": 123,
    "minimumQuantityRequiredProducts": 123,
    "paymentWorkflows": [
      "<string>"
    ],
    "requiresCoupon": true,
    "startDate": "2023-11-07T05:31:56Z"
  },
  "discountId": 123,
  "doesNotApplyToMultiShipToOrders": true,
  "doesNotApplyToProductsWithSalePrice": true,
  "expirationDate": "2023-11-07T05:31:56Z",
  "friendlyDescription": "<string>",
  "includedPriceLists": [
    "<string>"
  ],
  "isPublic": true,
  "labels": [
    "<string>"
  ],
  "maxDiscountValuePerRedemption": 123,
  "maxRedemptions": 123,
  "maximumDiscountValuePerOrder": 123,
  "maximumRedemptionsPerOrder": 123,
  "maximumUsesPerUser": 123,
  "name": "<string>",
  "redemptions": 123,
  "requiresAuthenticatedUser": true,
  "scope": "<string>",
  "stackingLayer": 123,
  "target": {
    "excludedCategoriesOperator": "<string>",
    "excludedCategoryIds": [
      123
    ],
    "excludedProductCodes": [
      "<string>"
    ],
    "includeAllProducts": true,
    "includedCategoriesOperator": "<string>",
    "includedCategoryIds": [
      123
    ],
    "includedProductCodes": [
      "<string>"
    ],
    "shippingMethods": [
      "<string>"
    ],
    "shippingZones": [
      "<string>"
    ],
    "type": "<string>"
  },
  "type": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

code
string
required

The discount code

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

Success

Name of the discount that can be applied and its expiration date. The discount can be on a single product or the entire order.

amount
number<double>
amountType
string | null

Type of discount, which can be either a percentage off the price, a specific monetary amount, or free. Possible values: "Percentage," "Amount," and "Free".

code
string | null

Unique identifier of the discount.

condition
object
discountId
integer<int32>

Unique identifier of the discount. System-supplied and read-only.

doesNotApplyToMultiShipToOrders
boolean | null
doesNotApplyToProductsWithSalePrice
boolean
expirationDate
string<date-time> | null
deprecated

When the discount expires. If null, there's no expiration date.

friendlyDescription
string | null

Friendly description of the discount.

includedPriceLists
string[] | null
isPublic
boolean | null
labels
string[] | null
maxDiscountValuePerRedemption
number<double> | null
maxRedemptions
integer<int32> | null
maximumDiscountValuePerOrder
number<double> | null
maximumRedemptionsPerOrder
integer<int32> | null
maximumUsesPerUser
integer<int32> | null
name
string | null

Name of the discount.

redemptions
integer<int32>
requiresAuthenticatedUser
boolean
scope
string | null
stackingLayer
integer<int32>
target
object
type
string | null